# Uses of Class
org.apache.lucene.util.AttributeFactory

Packages that use AttributeFactory
Package
Description
org.apache.lucene.analysis
Text analysis.
org.apache.lucene.analysis.standard
Fast, general-purpose grammar-based tokenizer `StandardTokenizer` implements the Word Break rules from the Unicode Text Segmentation algorithm, as specified in Unicode Standard Annex #29.
org.apache.lucene.util
Some utility classes.

- ## Uses of AttributeFactory in org.apache.lucene.analysis

  Fields in org.apache.lucene.analysis declared as AttributeFactory
  Modifier and Type
  Field
  Description
  `static final AttributeFactory`
  TokenStream.`DEFAULT_TOKEN_ATTRIBUTE_FACTORY`
  Default `AttributeFactory` instance that should be used for TokenStreams.
  Methods in org.apache.lucene.analysis that return AttributeFactory
  Modifier and Type
  Method
  Description
  `protected AttributeFactory`
  Analyzer.`attributeFactory(String fieldName)`
  Return the `AttributeFactory` to be used for `analysis` and `normalization` on the given `FieldName`.
  `protected final AttributeFactory`
  AnalyzerWrapper.`attributeFactory(String fieldName)`
  Methods in org.apache.lucene.analysis with parameters of type AttributeFactory
  Modifier and Type
  Method
  Description
  `abstract Tokenizer`
  TokenizerFactory.`create(AttributeFactory factory)`
  Creates a TokenStream of the specified input using the given AttributeFactory
  Constructors in org.apache.lucene.analysis with parameters of type AttributeFactory
  Modifier
  Constructor
  Description
  `protected`
  `Tokenizer(AttributeFactory factory)`
  Construct a tokenizer with no input, awaiting a call to `Tokenizer.setReader(java.io.Reader)` to provide input.
  `protected`
  `TokenStream(AttributeFactory factory)`
  A TokenStream using the supplied AttributeFactory for creating new `Attribute` instances.

- ## Uses of AttributeFactory in org.apache.lucene.analysis.standard

  Methods in org.apache.lucene.analysis.standard with parameters of type AttributeFactory
  Modifier and Type
  Method
  Description
  `StandardTokenizer`
  StandardTokenizerFactory.`create(AttributeFactory factory)`
  Constructors in org.apache.lucene.analysis.standard with parameters of type AttributeFactory
  Modifier
  Constructor
  Description
  ``
  `StandardTokenizer(AttributeFactory factory)`
  Creates a new StandardTokenizer with a given `AttributeFactory`

- ## Uses of AttributeFactory in org.apache.lucene.util

  Subclasses of AttributeFactory in org.apache.lucene.util
  Modifier and Type
  Class
  Description
  `static class`
  `AttributeFactory.StaticImplementationAttributeFactory<A extends AttributeImpl>`
  Expert: AttributeFactory returning an instance of the given `clazz` for the attributes it implements.
  Fields in org.apache.lucene.util declared as AttributeFactory
  Modifier and Type
  Field
  Description
  `static final AttributeFactory`
  AttributeFactory.`DEFAULT_ATTRIBUTE_FACTORY`
  This is the default factory that creates `AttributeImpl`s using the class name of the supplied `Attribute` interface class by appending `Impl` to it.
  Methods in org.apache.lucene.util that return AttributeFactory
  Modifier and Type
  Method
  Description
  `final AttributeFactory`
  AttributeSource.`getAttributeFactory()`
  returns the used AttributeFactory.
  `static <A extends AttributeImpl>
  AttributeFactory`
  AttributeFactory.`getStaticImplementation(AttributeFactory delegate, Class<A> clazz)`
  Returns an AttributeFactory returning an instance of the given `clazz` for the attributes it implements.
  Methods in org.apache.lucene.util with parameters of type AttributeFactory
  Modifier and Type
  Method
  Description
  `static <A extends AttributeImpl>
  AttributeFactory`
  AttributeFactory.`getStaticImplementation(AttributeFactory delegate, Class<A> clazz)`
  Returns an AttributeFactory returning an instance of the given `clazz` for the attributes it implements.
  Constructors in org.apache.lucene.util with parameters of type AttributeFactory
  Modifier
  Constructor
  Description
  ``
  `AttributeSource(AttributeFactory factory)`
  An AttributeSource using the supplied `AttributeFactory` for creating new `Attribute` instances.
  `protected`
  `StaticImplementationAttributeFactory(AttributeFactory delegate, Class<A> clazz)`
  Expert: Creates an AttributeFactory returning `clazz` as instance for the attributes it implements and for all other attributes calls the given delegate factory.